Package org.eclipse.net4j.util.security

## Interface INegotiationContext

- All Known Implementing Classes:
    `NegotiationContext`

      public interface INegotiationContext

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `INegotiationContext.Receiver` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NO_TIMEOUT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.ByteBuffer` | `getBuffer()` |
    `java.lang.Object` | `getInfo()` |
    `INegotiationContext.Receiver` | `getReceiver()` |
    `java.lang.Enum<?>` | `getState()` |
    `void` | `setFinished​(boolean success)` |
    `void` | `setInfo​(java.lang.Object info)` |
    `void` | `setReceiver​(INegotiationContext.Receiver receiver)` |
    `void` | `setState​(java.lang.Enum<?> state)` |
    `void` | `setUserID​(java.lang.String userID)` |
    `void` | `transmitBuffer​(java.nio.ByteBuffer buffer)` |
    `java.lang.Enum<?>` | `waitUntilFinished​(long timeout)` |

- - ### Field Detail

    - #### NO_TIMEOUT

          static final int NO_TIMEOUT

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBuffer

          java.nio.ByteBuffer getBuffer()

    - #### transmitBuffer

          void transmitBuffer​(java.nio.ByteBuffer buffer)

    - #### getReceiver

          INegotiationContext.Receiver getReceiver()

    - #### setReceiver

          void setReceiver​(INegotiationContext.Receiver receiver)

    - #### getState

          java.lang.Enum<?> getState()

    - #### setState

          void setState​(java.lang.Enum<?> state)

    - #### setUserID

          void setUserID​(java.lang.String userID)

    - #### getInfo

          java.lang.Object getInfo()

    - #### setInfo

          void setInfo​(java.lang.Object info)

    - #### setFinished

          void setFinished​(boolean success)

    - #### waitUntilFinished

          java.lang.Enum<?> waitUntilFinished​(long timeout)

      Since:
        2.0